<mat-horizontal-stepper linear #stepper>
  <mat-step [stepControl]="firstFormGroup">
    <form [formGroup]="firstFormGroup" class="theatre__form theatre__form_flex">
      <ng-template matStepLabel>Phone</ng-template>
      <mat-form-field class="form__field">
        <input
          type="text"
          prefix="+7"
          mask="(000) 000 00 00"
          matInput
          placeholder="Phone"
          [formControl]="phoneControl"
        />
        <mat-error *ngIf="phoneControl.hasError('required')">
          Phone is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <div class="form__actions">
        <button mat-raised-button color="primary" [disabled]="!firstFormGroup.valid" matStepperNext>
          Next
        </button>
      </div>
    </form>
  </mat-step>
  <mat-step [stepControl]="secondFormGroup">
    <form [formGroup]="secondFormGroup" class="theatre__form theatre__form_flex">
      <ng-template matStepLabel>Fill out the form</ng-template>
      <mat-form-field class="form__field">
        <input matInput placeholder="Name" [formControl]="nameControl" />
        <mat-error *ngIf="nameControl.hasError('required')">
          Name is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field class="form__field">
        <input matInput placeholder="Surname" [formControl]="surnameControl" />
        <mat-error *ngIf="surnameControl.hasError('required')">
          Surname is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field class="form__field">
        <input
          matInput
          [matDatepicker]="startPicker"
          [formControl]="dateControl"
          placeholder="Choose a birthday"
        />
        <mat-datepicker-toggle matSuffix [for]="startPicker"></mat-datepicker-toggle>
        <mat-datepicker #startPicker [startAt]="startDate"></mat-datepicker>
        <mat-error *ngIf="dateControl.hasError('required')">
          Birthday is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field class="form__field">
        <input matInput placeholder="Email" [formControl]="emailControl" />
        <mat-error *ngIf="emailControl.hasError('required')">
          Email is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <mat-slide-toggle color="primary" labelPosition="before" [formControl]="acceptRulesControl">
        Accept rules
      </mat-slide-toggle>
      <div class="form__actions">
        <button mat-raised-button matStepperPrevious>Back</button>
        <button
          [disabled]="!secondFormGroup.valid || !acceptRulesControl.value"
          mat-raised-button
          color="primary"
          matStepperNext
        >
          Next
        </button>
      </div>
    </form>
  </mat-step>
  <mat-step [stepControl]="thirdFormGroup">
    <form [formGroup]="thirdFormGroup" class="theatre__form theatre__form_flex">
      <ng-template matStepLabel>Payment</ng-template>
      <mat-form-field class="form__field">
        <input
          type="text"
          mask="0000 0000 0000 0000"
          matInput
          placeholder="Card number"
          [formControl]="cardNumberControl"
        />
        <mat-error *ngIf="cardNumberControl.hasError('required')">
          Card number is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field class="form__field">
        <input
          type="text"
          mask="00/00"
          matInput
          placeholder="Card month and year"
          [formControl]="cardMonthYearControl"
        />
        <mat-error *ngIf="cardMonthYearControl.hasError('required')">
          Card month and year is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field class="form__field">
        <input matInput placeholder="Owner" [formControl]="ownerControl" />
        <mat-error *ngIf="ownerControl.hasError('required')">
          Owner is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <div class="form__actions">
        <button mat-raised-button matStepperPrevious>Back</button>
        <button
          mat-raised-button
          color="primary"
          [disabled]="!thirdFormGroup.valid"
          (click)="onSubmit()"
        >
          Submit
        </button>
        <button
          mat-raised-button
          color="primary"
          [disabled]="!thirdFormGroup.valid"
          (click)="onBadSubmit()"
        >
          Bad submit
        </button>
      </div>
    </form>
  </mat-step>
</mat-horizontal-stepper>
